#
# Sensus Consulting Ltd, Copyright 1997-1998
#
# Matt Newman <matt@sensus.org>
#
namespace eval url {}
namespace eval url::tcl {}

proc url::tcl {option args} {return [eval url::tcl::$option $args]}

;proc url::tcl::iscontainer {path} {
	return 1
}
;proc url::tcl::configure {path} {
	return [list -name [tail $path] \
			-container 1 -image [img folder] \
			-size 0 -mtime 0 -type tcl]
}
;proc url::tcl::children {path {glob *}} {
	if {$path == ""} {set path ::}
	set tmp [namespace children $path]
	set ret {}
	foreach w [namespace children $path] {
		if [string match $glob $w] {
			lappend ret [tail $w]
		}
	}
	return $ret
}
;proc url::tcl::join {path key} {
	return "${path}::$key"
}
;proc url::tcl::parent {path} {
	return [namespace parent $path]
}
;proc url::tcl::split {path} {
	return [::split $path ::]
}
;proc url::tcl::tail {path} {
	return [lindex [split $path] end]
}
